curl --request PATCH \
--url https://app.chemcloud.com.au/api/public/buyer/v1/orders/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"order_status": "order_placed",
"purchase_order_reference": "PO-001",
"purchase_order_line_reference": "1",
"supplier_order_reference": "SO-001",
"placed_at": "2025-12-31T23:13:11.862Z",
"resource_values": [
{
"provider": "cin7_core",
"value": "99999a99-b888-777c-666d-55555555555e"
}
]
}
'import requests
url = "https://app.chemcloud.com.au/api/public/buyer/v1/orders/{id}"
payload = {
"order_status": "order_placed",
"purchase_order_reference": "PO-001",
"purchase_order_line_reference": "1",
"supplier_order_reference": "SO-001",
"placed_at": "2025-12-31T23:13:11.862Z",
"resource_values": [
{
"provider": "cin7_core",
"value": "99999a99-b888-777c-666d-55555555555e"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_status: 'order_placed',
purchase_order_reference: 'PO-001',
purchase_order_line_reference: '1',
supplier_order_reference: 'SO-001',
placed_at: '2025-12-31T23:13:11.862Z',
resource_values: [{provider: 'cin7_core', value: '99999a99-b888-777c-666d-55555555555e'}]
})
};
fetch('https://app.chemcloud.com.au/api/public/buyer/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "99999a99-b888-777c-666d-55555555555e",
"url": "https://app.chemcloud.com.au/buyer/orders/99999a99-b888-777c-666d-55555555555e",
"supplier_profile_id": "99999a99-b888-777c-666d-55555555555e",
"buyer_product_approval_id": "99999a99-b888-777c-666d-55555555555e",
"price_type": "ex_stock",
"quantity": 10,
"price_per_uom": 100,
"tax_amount": 100,
"tax_percentage": 10,
"price_total": 1100,
"currency": "AUD",
"profile_connection_relationship": "direct",
"order_reference": "ORD-001",
"order_status": "order_placed",
"purchase_order_reference": "PO-001",
"purchase_order_line_reference": "1",
"supplier_order_reference": "SO-001",
"order_type": {
"id": "99999a99-b888-777c-666d-55555555555e",
"type_of": "spot"
},
"resource_values": [
{
"provider": "cin7_core",
"value": "99999a99-b888-777c-666d-55555555555e"
}
],
"tracking_type": "delivery",
"additional_data": {
"product": {
"buyer_product_display_name": "Sodium Hydroxide 50%"
},
"supplier": {
"supplier_name": "Supplier Co"
},
"buyer_product_approval": {
"name": "Approved Sodium Hydroxide 50%",
"code": "BPA-001"
}
},
"placed_at": "2025-12-31T23:13:11.862Z",
"created_at": "2025-12-31T23:13:11.862Z",
"updated_at": "2025-12-31T23:13:11.862Z",
"delivery_site": {
"id": "99999a99-b888-777c-666d-55555555555e",
"site_name": "Main Warehouse",
"address": {
"street": "123 Main St",
"city": "Sydney",
"state": "NSW",
"postcode": "2000",
"country": "Australia",
"full_address": "123 Main St, Sydney, NSW, 2000, Australia",
"resource_values": [
{
"provider": "cin7_core",
"value": "99999a99-b888-777c-666d-55555555555e"
}
]
}
}
}Updates an order
Authorizations
Path Parameters
Body
Status of the order
quote_selected, order_placed, order_confirmed, in_transit, in_warehouse, shipped, in_port, delivered "order_placed"
Purchase order reference number
"PO-001"
Purchase order line reference number
"1"
Supplier order reference number
"SO-001"
"2025-12-31T23:13:11.862Z"
Show child attributes
Show child attributes
Response
Order updated
"99999a99-b888-777c-666d-55555555555e"
"https://app.chemcloud.com.au/buyer/orders/99999a99-b888-777c-666d-55555555555e"
"99999a99-b888-777c-666d-55555555555e"
"99999a99-b888-777c-666d-55555555555e"
ex_stock, indent, hot_deal, excess_stock, full_container "ex_stock"
Quantity of packs in the order
10
Price per unit of measure
100
100
10
Total price of the order
1100
Currency of the order
"AUD"
Relationship between buyer and supplier
"direct"
ChemCloud user-friendly reference for the order
"ORD-001"
Status of the order
quote_selected, order_placed, order_confirmed, in_transit, in_warehouse, shipped, in_port, delivered "order_placed"
Purchase order reference number
"PO-001"
Purchase order line reference number
"1"
Supplier order reference number
"SO-001"
Type of order, i.e. whether it is coming locally or from overseas
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"delivery"
Show child attributes
Show child attributes
"2025-12-31T23:13:11.862Z"
"2025-12-31T23:13:11.862Z"
"2025-12-31T23:13:11.862Z"
Show child attributes
Show child attributes
Was this page helpful?

